net.i2p.desktopgui

## Class Main

- java.lang.Object
- - net.i2p.desktopgui.Main

    public class Main
    extends Object

The main class of the application.

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

Methods
`static void` `beginStartup(String[] args)` Main method launching the application.
`void` `launchForeverLoop()` Avoids the app terminating because no Window is opened anymore.
`static void` `main(String[] args)`
`void` `startUp()` Start the tray icon code (loads tray icon in the tray area).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### startUp

    public void startUp()
                 throws Exception

Start the tray icon code (loads tray icon in the tray area).

Throws:
  `Exception`

#### main

    public static void main(String[] args)

#### beginStartup

    public static void beginStartup(String[] args)

Main method launching the application.

#### launchForeverLoop

    public void launchForeverLoop()

Avoids the app terminating because no Window is opened anymore. More info: http://java.sun.com/javase/6/docs/api/java/awt/doc-files/AWTThreadIssues.html#Autoshutdown